/*
 * @Date: 2021-11-30 15:35:16
 * @LastEditors: JinxuChen
 * @LastEditTime: 2022-01-08 15:36:12
 * @FilePath: \GpsCardAdmin\src\main.js
 * @description:
 */
import Vue from 'vue'

import 'normalize.css/normalize.css' // A modern alternative to CSS resets

import ElementUI from 'element-ui'
import 'element-ui/lib/theme-chalk/index.css'
/* import locale from 'element-ui/lib/locale/lang/en' */ // lang i18n

import '@/styles/index.scss' // global css

import App from './App'
import store from './store'
import router from './router'
import localStore from './store/localStore'
import 'babel-polyfill';
import 'core-js/stable';
import 'regenerator-runtime/runtime'

import '@/icons' // icon
import '@/permission' // permission control
import transfrom from '@/utils/transfrom';
import checkstatus from '@/utils/checkout-status';
import checkoutStatusToNum from '@/utils/checkout-status-to-num';
Vue.use(transfrom);
Vue.use(checkstatus);
Vue.use(checkoutStatusToNum);
/**
 * If you don't want to use mock-server
 * you want to use MockJs for mock api
 * you can execute: mockXHR()
 *
 * Currently MockJs will be used in the production environment,
 * please remove it before going online ! ! !
 */
if (process.env.NODE_ENV === 'production') {
  const { mockXHR } = require('../mock')
  mockXHR()
}

// set ElementUI lang to EN
/* Vue.use(ElementUI, { locale }) */
// 如果想要中文版 element-ui，按如下方式声明
Vue.use(ElementUI)

Vue.config.productionTip = false
Vue.prototype.$localStore = localStore;
new Vue({
  el: '#app',
  router,
  store,
  localStore,
  render: h => h(App)
})
